### Method

# Camel MimePart set_content_id

#### Declaration [src]

    void
    camel_mime_part_set_content_id (
      CamelMimePart* mime_part,
      const gchar* contentid
    )

#### Description [src]

Set the content-id field on a MIME part.

Sets property | `Camel.MimePart:content-id`

#### Parameters

`contentid`

  Type: `const gchar*`

  Content id.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.